#!/bin/bash

input=${1:-'hathi_brief_20190301.txt'}
output=${2:-'hathi_pd_MU_Not-Google_20190301.txt'}

echo ""
echo "===="
echo "  Script to filter down the extracted Music Format data entries that at"
echo "  publicly available: public domain and NOT scanned by Google"
echo "===="

echo ""
echo "Reading in  : $input"
echo "Writing out : $output"
echo ""

echo "Processing ..."

cat "$input" \
    | awk -F '\t' '$2 == "pd" && $3 == "MU" && $4 != "google" { print $0 }' \
    > "$output"

echo "... Done"
echo ""

